# What is this?
HappySnake is a tool I created to quickly order coffee from https://www.happymugcoffee.com. I mostly made this to help me learn python so don't expect it to be effecient (or even a very good idea... It's probably not wise to buy things using a script unless you really know what you're doing but oh well.) 
# Requirements
```bash
pip3 install selenium colorama
```
# Usage
To run simple create a file called config.json in the directory above where you installed the tool (Please don't put a config.json in a git directory...). I recommend not testing with real info until you're sure this behaves how you expect it to.
### Silent mode 
Runs firefox in headless mode. (Does not open the browser)
```python
python3 happySnake.py -s
````
# Example 
![](example.gif)

